﻿using Plane.FormationCreator.Formation;
using Plane.FormationCreator.Views;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace Plane.FormationCreator.Converters
{
    public class AppModeToVisibilityConverter : IValueConverter
    {
        static string[] _viewsForControl = { "ControlPanelView_Formation", "SwitchToPreparedForRunningTasksModeButton" };
        static string[] _viewsForTasks = { nameof(ModifyTaskView), nameof(TaskBarView), "SwitchToControllingCoptersModeButton" };
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var mode = (AppMode)value;
            var viewName = (string)parameter;
            switch (mode)
            {
                case AppMode.ControllingCopters:
                    return _viewsForControl.Contains(viewName) ? Visibility.Visible : Visibility.Collapsed;
                case AppMode.ModifyingTask:
                case AppMode.PreparedForRunningTasks:
                case AppMode.RunningTasks:
                    return _viewsForTasks.Contains(viewName) ? Visibility.Visible : Visibility.Collapsed;
                default:
                    return Visibility.Visible;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
